Bug 817211 - brasero ejects wrong tray after burning
brasero ejects wrong tray after burning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: brasero (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 23:46 EDT by John Reiser
Modified: 2014-02-05 06:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:57:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compressed output from strace (444.13 KB, application/x-xz)
2012-10-08 23:03 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2012-04-27 23:46:51 EDT
Description of problem: Brasero ejects the wrong tray after burning [rewriting] an existing .iso onto /dev/sr0.  Brasero ejects /dev/sr1 instead of /dev/sr0.  There are three burners: /dev/sr0, sr1, and sr2; sr1 and sr2 are empty.  /dev/cdrom is symlinked to sr0.  There are no entries /dev/dvd*.


Version-Release number of selected component (if applicable):
brasero-3.4.1-1.fc17.x86_64


How reproducible: every time


Steps to Reproduce:
1. Use a box with three CD/DVD burners.  Place an already-burned DVD+RW into /dev/sr0.  Leave /dev/sr1 and /dev/sr2 empty.
2. brasero --device=/dev/sr0 --display=:0 Fedora-17-x86_64-DVD.iso
3. Confirm the desire to rewrite the existing platter.  Interrupt (Cancel) after Finalizing, and during after-burn Checksum.
  
Actual results: Empty tray for /dev/sr1 is ejected.  The tray for /dev/sr0, containing the newly-rewritten platter, remains inserted.


Expected results: Tray for /dev/sr0 is ejected.


Additional info:
The drives are:
-----
kernel: [    3.293804] ata6.00: ATAPI: Optiarc DVD RW AD-7240S, 1.02, max UDMA/100
kernel: [    3.298700] scsi 5:0:0:0: CD-ROM            Optiarc  DVD RW AD-7240S  1.02 PQ: 0 ANSI: 5
kernel: [    6.264754] ata7.00: ATAPI: Optiarc DVD RW AD-7280S, 1.01, max UDMA/100
kernel: [    6.267733] scsi 6:0:0:0: CD-ROM            Optiarc  DVD RW AD-7280S  1.01 PQ: 0 ANSI: 5
kernel: [    8.402738] ata8.00: ATAPI: Optiarc DVD RW AD-7240S, 1.03, max UDMA/100
kernel: [    8.406413] scsi 7:0:0:0: CD-ROM            Optiarc  DVD RW AD-7240S  1.03 PQ: 0 ANSI: 5
-----
kernel: [    3.300913] sr0: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray
kernel: [    6.281279] sr1: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray
kernel: [    8.420521] sr2: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray
-----

When run under "strace -f -o /tmp/strace.out", then the trace is 404MB.  Notice that the "--device=/dev/sr0" was specified on the shell command line, yet brasero still touches /dev/sr1 and /dev/sr2.
-----
$ grep -n /dev/sr /tmp/strace.out
1:28502 execve("/usr/bin/brasero", ["brasero", "--device=/dev/sr0", "--display=:0", "Fedora-17-x86_64-DVD.iso"], [/* 42 vars */]) = 0
2011:28502 open("/dev/sr2", O_RDWR|O_NONBLOCK) = 7
2018:28502 open("/dev/sr1", O_RDWR|O_NONBLOCK <unfinished ...>
2023:28503 open("/dev/sr2", O_RDWR|O_NONBLOCK <unfinished ...>
2047:28504 open("/dev/sr1", O_RDWR|O_NONBLOCK <unfinished ...>
2086:28502 open("/dev/sr0", O_RDWR|O_NONBLOCK <unfinished ...>
2115:28505 open("/dev/sr0", O_RDWR|O_NONBLOCK <unfinished ...>
2138:28506 open("/dev/sr0", O_RDWR|O_NONBLOCK <unfinished ...>
11861:28502 open("/dev/sr0", O_RDWR|O_NONBLOCK) = 13
1216085:28502 open("/dev/sr0", O_RDWR|O_EXCL|O_NONBLOCK) = 13
1216100:28502 stat("/dev/sr0", {st_mode=S_IFBLK|0660, st_rdev=makedev(11, 0), ...}) = 0
1216101:28502 stat("/dev/sr0", {st_mode=S_IFBLK|0660, st_rdev=makedev(11, 0), ...}) = 0
1216102:28502 open("/dev/sr0", O_RDWR|O_EXCL|O_NONBLOCK) = 13
1216137:28502 write(12, "BraseroLibburn Drive (/dev/sr0) "..., 47) = 47
2563483:28524 open("/dev/sr0", O_RDWR|O_NONBLOCK <unfinished ...>
2563593:28525 open("/dev/sr0", O_RDWR|O_NONBLOCK) = 13
2564069:28502 write(12, "\tdev=/dev/sr0", 13)   = 13
2564150:28527 execve("/usr/local/bin/readom", ["readom", "dev=/dev/sr0", "-nocorr", "-noerror", "-sectors=0-1177088", "-f=-"], [/* 3 vars */]) = -1 ENOENT (No such file or directory)
2564151:28527 execve("/usr/bin/readom", ["readom", "dev=/dev/sr0", "-nocorr", "-noerror", "-sectors=0-1177088", "-f=-"], [/* 3 vars */] <unfinished ...>
2564238:28527 open("/dev/sr0", O_RDWR|O_EXCL|O_NONBLOCK <unfinished ...>
3802001:28502 open("/dev/sr0", O_RDWR|O_NONBLOCK <unfinished ...>
-----
Comment 1 John Reiser 2012-10-08 23:03:45 EDT
Created attachment 623860 [details]
compressed output from strace

Here is the strace output from
  strace -f -o strace.brasero brasero
Burning on /dev/sr1, but brasero ejects /dev/sr0 (the other drive).

The plain text strace output is 88.8MB, which I have compressed down to 455KB.  In order to get it that small, I edited the strace output to remove the data strings of 32768 bytes from ioctl(), and of 2048 bytes from read() and write().  All other info is intact, including the "control" parameters of each ioctl/read/write.  The edited plain text is 53MB.  Then I compressed with 'xz' to reduce the size to 455KB.

To read the attachment:
  xz -d  < attachment  > plain

All the syscalls specify /dev/sr1, except one reference to stat("/dev/sr0",) in the beginning, when brasero is looking for a drive which has a platter.  Therefore, this might be a kernel bug, because brasero is dealing only with /dev/sr1, yet the eject happens on /dev/sr0.

$ rpm -q brasero  # now applies to Fedora 18
brasero-3.6.0-1.fc18.x86_64
brasero-3.5.92-1.fc18.x86_64
Comment 2 John Reiser 2012-10-08 23:06:32 EDT
$ uname -r
3.6.0-3.fc18.x86_64
Comment 3 Fedora End Of Life 2013-12-21 03:35:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 06:57:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.